Redmine - Feature #22018

Add id and class for easier styling of query filters
2016-02-12 07:14 - Felix Schafer

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 3.3.0

Resolution: Fixed

Description

In trying to style the options section of the issue list, gantt view, and so on, we (Planio) noticed there is no easy or explicit way to
target those with CSS. We propose adding an options id to that section and similar classes as in the filters in the contents.

Associated revisions

Revision 15255 - 2016-03-19 10:07 - Jean-Philippe Lang
Add id and class for easier styling of query filters (#22018).

Patch by Felix Schafer.

History

#1 - 2016-02-12 07:17 - Felix Schafer
- File 22018-class_and_id_for_options.patch added

The attached patch adds the options id where needed and the field class for the "first" column of enclosed tables containing the names of the fields,
similar to the filters. The remaining columns could probably use some classes too, be we weren't sure what to call them :-)

Thanks!

#2 - 2016-02-15 02:19 - Go MAEDA

- Target version set to 3.3.0

#3 - 2016-03-19 10:07 - Jean-Philippe Lang

- Subject changed from Add id and class for easier styling to Add id and class for easier styling of query filters
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed in r15255, thanks.

#4 - 2016-03-19 10:10 - Felix Schafer
Thanks!

Files

22018-class_and_id_for_options.patch 3.98 KB 2016-02-12 Felix Schéafer
